import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    id: infographics

    width: units.gu(80)
    height: units.gu(80)

    color: "black"

Item {
    id: dataCircle

    width: parent.width * 0.75
    height: parent.height * 0.75

    anchors.horizontalCenter: parent.horizontalCenter
    anchors.verticalCenter: parent.verticalCenter

    property int totalDots: 20

    Repeater {
        id: dotCircle

        model: parent.totalDots
        Dot { index: model.index }
    }

    MouseArea {
        id: touchArea

        anchors.fill: parent

        onClicked: {
            for (var i = 0; i < dotCircle.count; ++i) {
                var dot = dotCircle.itemAt(i);
                dot.triggerStartAnimation()
            }
        }
    }
}
}
